Skip to main content
GET
/
core
/
price
/
productlist
/
{countryISO}
List All Products and Prices for a Country
curl --request GET \
  --url https://rest.kyckr.com/core/price/productlist/{countryISO} \
  --header 'Authorization: <api-key>'
[
  {
    "nameField": "GB_CH_DOC",
    "priceField": "0.00",
    "tierCodeField": "A",
    "tierValueField": "1.00"
  },
  {
    "nameField": "GB_CH_DOC_BETA",
    "priceField": "0.00",
    "tierCodeField": "A",
    "tierValueField": "1.00"
  },
  {
    "nameField": "GB_GRA_OD",
    "priceField": "0.00"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

countryISO
string
required

2-digit ISO country code

Response

200 - application/json

In this example we are retrieving the list of available products and their price/credit tier and value for the UK. In the request parameters, we have entered GB as the CountryISO.

nameField
string
priceField
string
deprecated
tierCodeField
string
deprecated
tierValueField
string